Last Comment Bug 781189 - Intermittent failure in layout/reftests/mathml/mtable-align-whitespace.html | image comparison (==)
: Intermittent failure in layout/reftests/mathml/mtable-align-whitespace.html |...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: MathML (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: mozilla17
Assigned To: Mohit Sinha
:
: Anthony Jones (:kentuckyfriedtakahe, :k17e)
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-08-08 08:06 PDT by Tim Taubert [:ttaubert]
Modified: 2012-11-25 19:31 PST (History)
5 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
removed rowline attributes in mtable-align-whitespace.html & mtable-align-whitespace-ref.html (15.30 KB, patch)
2012-08-09 06:22 PDT, Mohit Sinha
fred.wang: review+
Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2012-08-08 08:06:49 PDT
REFTEST TEST-UNEXPECTED-FAIL | file:///Users/cltbld/talos-slave/test/build/reftest/tests/layout/reftests/mathml/mtable-align-whitespace.html | image comparison (==)
https://tbpl.mozilla.org/php/getParsedLog.php?id=14220535&tree=Fx-Team
Comment 1 Frédéric Wang (:fredw) 2012-08-08 08:27:26 PDT
It seems that the row lines are not drawn in some of these tests. I'm wondering if that's not related to bug 731667.

But the purpose of these tests is to verify mtable@align so I guess we can just remove the rowlines attributes.

@Mohit: can you please take care of this?
Comment 2 Mohit Sinha 2012-08-09 06:22:03 PDT
Created attachment 650526 [details] [diff] [review]
removed rowline attributes in mtable-align-whitespace.html & mtable-align-whitespace-ref.html
Comment 3 Ed Morley [:emorley] 2012-08-14 10:11:35 PDT
I think autoland is down unfortunately :-(
Comment 4 Frédéric Wang (:fredw) 2012-08-16 12:29:45 PDT
https://tbpl.mozilla.org/?tree=Try&rev=5429406f8c94
Comment 5 Frédéric Wang (:fredw) 2012-08-18 01:13:51 PDT
(In reply to Frédéric Wang (:fredw) from comment #4)
> https://tbpl.mozilla.org/?tree=Try&rev=5429406f8c94

That was a bit overkill to run everything for this change, I should have use TryChooser to execute the reftests only.
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-08-18 05:32:59 PDT
(In reply to Frédéric Wang (:fredw) from comment #4)
> https://tbpl.mozilla.org/?tree=Try&rev=5429406f8c94

Green on Try.

https://hg.mozilla.org/integration/mozilla-inbound/rev/1669cdb480f3
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-08-18 16:19:24 PDT
https://hg.mozilla.org/mozilla-central/rev/1669cdb480f3
Comment 8 Mozilla RelEng Bot 2012-10-03 07:29:39 PDT
Autoland Patchset:
	Patches: 650526
	Branch: mozilla-central => try
Patch 650526 could not be applied to mozilla-central.
patching file layout/reftests/mathml/mtable-align-whitespace-ref.html
Hunk #1 FAILED at 3
Hunk #2 FAILED at 26
Hunk #3 FAILED at 49
Hunk #4 FAILED at 72
Hunk #5 FAILED at 94
Hunk #6 FAILED at 117
Hunk #7 FAILED at 139
Hunk #8 FAILED at 162
Hunk #9 FAILED at 186
Hunk #10 FAILED at 210
Hunk #11 FAILED at 234
Hunk #12 FAILED at 258
Hunk #13 FAILED at 282
Hunk #14 FAILED at 305
14 out of 14 hunks FAILED -- saving rejects to file layout/reftests/mathml/mtable-align-whitespace-ref.html.rej
patching file layout/reftests/mathml/mtable-align-whitespace.html
Hunk #1 FAILED at 3
Hunk #2 FAILED at 26
Hunk #3 FAILED at 49
Hunk #4 FAILED at 72
Hunk #5 FAILED at 94
Hunk #6 FAILED at 117
Hunk #7 FAILED at 139
Hunk #8 FAILED at 163
Hunk #9 FAILED at 187
Hunk #10 FAILED at 210
Hunk #11 FAILED at 233
Hunk #12 FAILED at 257
Hunk #13 FAILED at 281
Hunk #14 FAILED at 305
14 out of 14 hunks FAILED -- saving rejects to file layout/reftests/mathml/mtable-align-whitespace.html.rej
patch failed, unable to continue (try -v)
patch failed, rejects left in working dir

Patchset could not be applied and pushed.

Note You need to log in before you can comment on or make changes to this bug.